#!/usr/bin/bash

#
#                ╔═══╗╔╗──╔╗╔═══╗╔═╗─╔╗
#                ║╔═╗║║╚╗╔╝║║╔═╗║║║╚╗║║
#                ║║─║║╚╗║║╔╝║╚═╝║║╔╗╚╝║
#                ║║─║║─║╚╝║─║╔══╝║║╚╗║║
#                ║╚═╝║─╚╗╔╝─║║───║║─║║║
#                ╚═══╝──╚╝──╚╝───╚╝─╚═╝
#
# ╔══╗─────────────────╔╗─╔╗     ─────────╔╗──╔╗────────────
# ║╔╗║─────────────────║║─║║     ────────╔╝╚╗╔╝╚╗───────────
# ║╚╝║╔═╗╔╗╔╗╔╗╔══╗╔══╗║╚═╝║     ╔╗╔╗╔══╗╚╗╔╝╚╗╔╝╔══╗╔═╗╔══╗
# ║╔═╝║╔╝─╣║╚╝║║╔╗║║╔═╝╚═╗╔╝     ║╚╝║║╔╗║─║║──║║─║║═╣║╔╝║══╣
# ║║──║║─║║╚╗╔╝║╔╗║║╚═╗╔═╝║─     ║║║║║╔╗║─║╚╗─║╚╗║║═╣║║──══║
# ╚╝──╚╝─╚╝─╚╝─╚╝╚╝╚══╝╚══╝─     ╚╩╩╝╚╝╚╝─╚═╝─╚═╝╚══╝╚╝─╚══╝
#
#   Maintainer: Roman Kutashenko <roman.kutashenko@ovpn.com>
#

# -----------------------------------------------------------------------------

readonly OVPN_NEW_VERSION_FILE="/tmp/ovpn-new-version"

which zypper > /dev/null 2>&1
if [ $? -eq 0 ]; then
    echo "OVPN: Use ZYPPER"
    OVPN_VER=$(zypper list-updates | grep ovpn | tr -d " " | awk '{split($0,a,"|"); print a[5]}')
fi

which dnf > /dev/null 2>&1
if [ $? -eq 0 ]; then
    echo "OVPN: Use DNF"
    OVPN_VER=$(dnf check-update ovpn --refresh | grep ovpn | awk '{print $2;}' | tr -d " ")
fi
    

echo "${OVPN_VER}" | awk '{split($0,a,"-"); ver=a[1]"."a[2]; print ver;}' | awk '{split($0,a,"."); ver=a[1]"."a[2]"."a[3]"."a[4]; print ver;}' > ${OVPN_NEW_VERSION_FILE}
