#!/usr/bin/bash

if [ "$EUID" -ne 0 ]; then
    echo "This script must be run as root"
    exit 1
fi

if [ "$#" -ne 2 ]; then
    echo "Usage: $0 {set|rollback} {nameserverlist|default}"
    exit 2
fi

action=$1
nameserverlist=$2
resolv_conf_backup_filename="/tmp/default-resolv-ovpn.conf"

case "$action" in
    set)
	cp /etc/resolv.conf "$resolv_conf_backup_filename"
	echo "$nameserverlist" > /etc/resolv.conf
	chattr +i /etc/resolv.conf
	;;
    rollback)
	chattr -i /etc/resolv.conf
	if [ "$nameserverlist" == "default" ]; then
	    cp -f "$resolv_conf_backup_filename" /etc/resolv.conf
	else
	    echo "$nameserverlist" > /etc/resolv.conf
	fi
    ;;
    *)
    echo "ovpn-daemon: $0: DNSChecker action is not supported: $action"
    ;;
esac
